Loading...
Searching...
No Matches
fmdet_cf.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2008,2012 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_ANALOG_FMDET_CF_H
#define INCLUDED_ANALOG_FMDET_CF_H
#include <gnuradio/analog/api.h>
#include <gnuradio/sync_block.h>
namespace gr {
namespace analog {
/*!
* \brief Implements an IQ slope detector
* \ingroup modulators_blk
*
* \details
* input: stream of complex; output: stream of floats
*
* This implements a limiting slope detector. The limiter is in
* the normalization by the magnitude of the sample
*/
class ANALOG_API fmdet_cf : virtual public sync_block
{
public:
// gr::analog::fmdet_cf::sptr
typedef std::shared_ptr<fmdet_cf> sptr;
/*!
* \brief Make FM detector block.
*
* \param samplerate sample rate of signal (is not used; to be removed)
* \param freq_low lowest frequency of signal (Hz)
* \param freq_high highest frequency of signal (Hz)
* \param scl scale factor
*/
static sptr make(float samplerate, float freq_low, float freq_high, float scl);
virtual void set_scale(float scl) = 0;
virtual void set_freq_range(float freq_low, float freq_high) = 0;
virtual float freq() const = 0;
virtual float freq_high() const = 0;
virtual float freq_low() const = 0;
virtual float scale() const = 0;
virtual float bias() const = 0;
};
} /* namespace analog */
} /* namespace gr */
#endif /* INCLUDED_ANALOG_FMDET_CF_H */
gr::analog::fmdet_cf
Implements an IQ slope detector.
Definition fmdet_cf.h:31
gr::analog::fmdet_cf::bias
virtual float bias() const =0
gr::analog::fmdet_cf::make
static sptr make(float samplerate, float freq_low, float freq_high, float scl)
Make FM detector block.
gr::analog::fmdet_cf::set_scale
virtual void set_scale(float scl)=0
gr::analog::fmdet_cf::sptr
std::shared_ptr< fmdet_cf > sptr
Definition fmdet_cf.h:34
gr::analog::fmdet_cf::scale
virtual float scale() const =0
gr::analog::fmdet_cf::freq
virtual float freq() const =0
gr::analog::fmdet_cf::freq_high
virtual float freq_high() const =0
gr::analog::fmdet_cf::set_freq_range
virtual void set_freq_range(float freq_low, float freq_high)=0
gr::analog::fmdet_cf::freq_low
virtual float freq_low() const =0
gr::sync_block::sync_block
sync_block(void)
Definition sync_block.h:28
api.h
ANALOG_API
#define ANALOG_API
Definition gr-analog/include/gnuradio/analog/api.h:18
gr::analog
Definition agc.h:19
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
sync_block.h